S(3)

PACKAGE
s - Signal handling routines

PURPOSE
These routines are meant to provide a simplified interface to the Unix signal management routines. These routines allow blocking and unblocking of signals without the dangers of deadlock (common on multi-threaded machines). A few "standard" signal handlers are also provided.

LIBRARY
karma

LINK WITH
-lkarma

FUNCTIONS

s_block
    Block a signal.

s_unblock
    Unblock a signal.

s_unblock_all
    Unblock all signals.

s_ignore
    Cause a signal to be ignored.

s_int_handler
    Recommended SIGINT handler.

s_term_handler
    Recommended SIGTERM handler.

s_check_for_int
    Check for queued SIGINTs.

s_install_handlers
    Install recommended signal handlers for SIGINT and SIGTERM.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/